var data = {
    token: '24'
};
var u = navigator.userAgent,
        isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1,
        isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
var api = {
    apiUrl: {
        "sayGood": "https://ydzapi.dzrbs.com/api/PostsV100/SayReplyGoodForWeb?ReplyId={ReplyId}&UserInfoId={UserInfoId}",
        "collect": "https://ydzapi.dzrbs.com/api/PostsV100/EnshrinePostsByHttpGet?PostsId={postsid}"
    },
    ajax: function (url, type, ajaxData, callback) {
        type == null ? 'GET' : type;
        $.ajax({
            type: type,
            url: url + "&json=true&token=" + escape(data.token),
            dataType: "json",
            async: false,
            data: ajaxData,
            success: function (data, status) {
                if (status != "success") {
                    alert("服务器不在服务区！");
                    return;
                } else {
                    callback(data);
                }
            },
            error: function () {
                alert("服务器不在服务区");
            }
        })
    },
    connectWebViewJavascriptBridge: function (callback) {
        var obj = window.ZMBridge;
        if (isiOS) {
            obj = window.webkit.messageHandlers;
        } else {
            obj = window.ZMBridge;
        }
        if (obj) {
            callback(obj)
        } else {
            document.addEventListener('ZMBridgeReady', function () {
                callback(obj)
            }, false)
        }
    },
    base64Decode: function (str) {
        return decodeURIComponent(escape(window.atob(str)));
    },
    getUser: function () {
        return JSON.parse(api.base64Decode(data.token));
    },
    CheckLogin: function () {
        if (data.token == null || data.token == '' || data.token == '(null)') {
            this.connectWebViewJavascriptBridge(function (bridge) {
                if (isiOS) {
                    bridge.login.postMessage(0);
                } else {
                    bridge.login();
                }
            });
            return false;
        }
        return true;
    },
    viewPicture: function (index) {
        this.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.viewPicture.postMessage({ imageArr: this.data.originalImage, index: index });
            } else {
                bridge.viewPicture(this.data.originalImage, index);
            }
        });
    },
    pushToUser: function (userInfoId) {
        this.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.pushToUser.postMessage(userInfoId);
            } else {
                bridge.pushToUser(userInfoId);
            }
        });
    },
    showReply: function (postsId) {
        this.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.showReply.postMessage(postsId);
            } else {
                bridge.showReply(postsId);
            }
        });
    },
    loadHtml: function () {
        $("#headerImage").attr("src", data.userinfo.headerImage);
        $("#nickname").html(data.userinfo.nickname);
        $("#createDate").html(data.createDate);
        $("#address").html(data.address);
        $("#detail").html(data.detail);
        $("#commentCount").html(data.commentCount);
        $("#hotComment").hide();
        if (data.compressImage != null && data.compressImage.length > 0) {

            $("#postsImage").addClass("piclist-" + data.compressImage.length);
            
            if (data.compressImage.length == 1) {
                $("#postsImage").append('<li><img class="j-browse2 j-lazy z-loaded" src="' + data.originalImage[0] + '"><a class="f-link" onclick="api.viewPicture(' + 0 + ')"></a></li>');
            } else {
                for (var i = 0; i < data.compressImage.length; i++) {
                    $("#postsImage").append('<li><img class="j-browse2 j-lazy z-loaded" src="' + data.compressImage[i] + '"><a class="f-link" onclick="api.viewPicture(' + i + ')"></a></li>');
                }
            }
        }
        var $this = this;
        if (data.commentCount > 10) {
            $(".more").show();
            $(".more").click(function () {
                $this.showReply(data.postsId);
            });
        }
        if (data.reply == null || data.reply.length <= 0) {
            $(".noncomment").show();
            $("#hotComment").hide();
        } else {
            $(".noncomment").hide();
            for (var c = 0; c < data.reply.length; c++) {
                var comment = data.reply[c];
                $("#commentList").append(
					'<li>'
					+ '<div class="pro">'
						+ '<div class="face">'
							+ '<a href="javascript:;" onclick="api.pushToUser(' + comment.userinfoId + ')"><img class="f-img j-lazy" src="' + comment.headerImage + '" /></a>'
							// +'<span class="auth u-authicn u-authicn-yyr"></span><span class="auth u-authicn u-authicn-v"></span><span class="auth u-authicn u-authicn-daren"></span>'
						+ '</div>'
						+ '<div class="nt">'
							+ '<a href="javascript:;"><div class="na f-thide">' + comment.nickname + '</div></a><span class="ti">' + comment.createDate + '</span>'
						+ '</div>'
						+ '<a href="javascript:;" class="' + (comment.isSayGood ? 'za-1' : 'za') + '" id="SayGoodCount' + comment.Id + '" onclick="postSayGood(' + comment.Id + ',' + data.userInfoId + ')">' + (comment.isSayGood ? comment.sayGoodCount : '赞') + '</a>'
						+ '<a href="javascript:;" class="reply" onclick="postReplay(' + data.postsId + ',' + comment.Id + ',\'' + comment.nickname + '\')"></a>'
					+ '</div>'
					+ '<div class="msg f-bd">' + (comment.repliedNickName.length > 0 ? '回复<em class="replyName">' + comment.repliedNickName + '</em>：' : '') + comment.replyContent + '</div>'
				+ '</li>'
					);
            }
        }
    }
}
function load(model, token, userInfoId) {
    try {
        if (typeof (model) == "string") {
            data = JSON.parse(model.replace(/\r\n/g, '<br />').replace(/\n/g, '<br />').replace(/'/g, "\'"));
        } else {
            data = model;
        }
        data.token = token;
        data.userInfoId = userInfoId;
        api.loadHtml();
        $("#pushToUser").click(function () {
            api.pushToUser(data.userInfoId);
        })
    } catch (error) {
        alert(error);
        //$("#detail").html(data.detail);
    }
}
function InsertComment(ReplyId, UserId, HeaderImg, NickName, CreateDate, Content, ReplyUserNickName) {
    var date = new Date(CreateDate * 1000);
    $("#commentList").prepend(
        '<li>'
        + '<div class="pro">'
            + '<div class="face">'
                + '<a href="javascript:;" onclick="api.pushToUser(' + UserId + ')"><img class="f-img j-lazy" src="' + HeaderImg + '" /></a>'
            + '</div>'
            + '<div class="nt">'
                + '<a href="javascript:;"><div class="na f-thide">' + NickName + '</div></a><span class="ti">' + formatDate(date) + '</span>'
            + '</div>'
            + '<a href="javascript:;" class="za" id="SayGoodCount' + ReplyId + '" onclick="postSayGood(' + ReplyId + ',' + data.userInfoId + ')">赞</a>'
            + '<a href="javascript:;" class="reply" onclick="postReplay(' + data.postsId + ',' + ReplyId + ',\'' + NickName + '\')"></a>'
        + '</div>'
        + '<div class="msg f-bd">' + (ReplyUserNickName != null && ReplyUserNickName.length > 0 ? '回复<em class="replyName">' + ReplyUserNickName + '</em>：' : '') + Content + '</div>'
    + '</li>'
    );
}

function postReplay(postsId, replyId, nickname) {
    if (api.CheckLogin()) {
        api.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.postReplay.postMessage({ postsId: postsId, replyId: replyId, nickname: nickname });
            } else {
                bridge.postReplay(postsId, replyId, nickname);
            }
        });
    }
}

function postSayGood(replyId, userInfoId) {
    if (true) {//api.CheckLogin()
        var sayGoodCount = $("#SayGoodCount" + replyId).text();
        var geturl = api.apiUrl.sayGood;
        geturl = geturl.replace('{ReplyId}', replyId);
        geturl = geturl.replace('{UserInfoId}', userInfoId);
        $("#SayGoodCount" + replyId).removeClass("za").addClass("za-1");
        if (sayGoodCount == "赞") {
            $("#SayGoodCount" + replyId).text("1");
        }
        else {
            $("#SayGoodCount" + replyId).text(Number(sayGoodCount) + 1);
        }
        //api.ajax(geturl, 'GET', null, function (data) {
        //    if (data.Success) {
        //        $("#SayGoodCount" + replyId).removeClass("za").addClass("za-1");
        //        if (sayGoodCount == "赞") {
        //            $("#SayGoodCount" + replyId).text("1");
        //        }
        //        else {
        //            $("#SayGoodCount" + replyId).text(Number(sayGoodCount) + 1);
        //        }
        //    }
        //    else {
        //        alert(data.Message);
        //    }
        //});
    }
}
function formatDate(now) {
    var year = now.getFullYear();
    var month = now.getMonth() + 1;
    var date = now.getDate();
    var hour = now.getHours();
    var minute = now.getMinutes();
    var second = now.getSeconds();
    return year + "-" + month + "-" + date + " " + hour + ":" + minute + ":" + second;
}
var MessageQuee = [];
function alert(message) {
    for (var i = 0; i < MessageQuee.length; i++) {
        $("#" + MessageQuee[i]).remove();
    }
    var id = "alert_" + Math.floor(Math.random() * (1000 + 1));
    MessageQuee.push(id);
    $("body").prepend('<div id="' + id + '" class="alertMessage" >' + message + '</div>');
    setTimeout(function () { $("#" + id).remove(); }, 3000);
};
